# frozen_string_literal: true

require_relative 'lib/mmmd/blankshell.rb'

structure = PointBlank::DOM::Document.parse(File.read(ARGV[0]))
def red(string)
  "\033[31m#{string}\033[0m"
end
def yellow(string)
  "\033[33m#{string}\033[0m"
end

def prettyprint(doc, indent = 0)
  closed = doc.properties[:closed]
  puts "#{yellow(doc.class.name.gsub(/\w+::DOM::/,""))}#{red(closed ? "(c)" : "")}: #{doc.content.inspect}"
  doc.children.each do |child|
    print red("#{" " * indent}  - ")
    prettyprint(child, indent + 4)
  end
end
prettyprint(structure)
